import { CustomError } from "../core/various.js";
import { CustomConfig } from "../core/interfaces/custom-config-interface.js";
/**
 * Carica i metadi dalla fondte passata
 * @param sourceUrl url da cui caricare l'xml
 * @param souceFile file da cui caricare l'xml
 * @returns
 */
export declare function loadMetadata(sourceUrl: string | null, sourceFile: string | null, config: CustomConfig): Promise<string>;
/**
 * Converte l'xml in json  e lo pulisce, restituendo un array con i componenti inde
 * @param xmlData Stringa contenente i metadati in xml
 * @returns
 */
export declare function getComponentsArrayFromXml(xmlData: string): Promise<Record<string, any>[]>;
/**
 * Pulisce l'array di componenti da quelli non voluti, mantenendo solo quelli i cui nomi sono presenti in whitelist
 * ATTENZIONE: tutti i nomi saranno convertiti e confrontati in minuscolo
 * @param arComponents array dei componenti in arrivo da inde (già puliti)
 * @param whiteList array di nomi dei componenti da conservare
 */
export declare function filterComponentsFromList(arComponents: Record<string, any>[], whiteList: string[] | null): Record<string, any>[];
/**
 * Funzione di gestione dell'errore
 * @param err
 */
export declare function handleError(err: CustomError | Error): void;
/**
 * Carica la configurazione fondendo l'oggetto default, con quello caricato dall'eventuale percorso passato
 * @param suppliedPath
 * @returns
 */
export declare function loadConfig(suppliedPath: string | undefined): Promise<CustomConfig>;
/**
 *
 * @param arEntities
 * @param whiteList
 * @returns
 */
export declare function filterEntitiesFromList(arEntities: Record<string, any>[], whiteList: string[]): Record<string, any>[];
