#!/usr/bin/env node
import { ClassGenerator } from '../core/class-generator.js';
import { EnumListGenerator } from '../core/enum-generator.js';
import { CustomConfig } from '../core/interfaces/custom-config-interface.js';
/**
 * Comando principale di creazione
 */
export declare function generateModelsCommand(): void;
/**
 * Preso in input l'array entityType, crea e restituisce l'array di classGenerators corrispondente
 * @param arEntityType
 * @returns
 */
export declare function createArTsClassesFromArEntityType(arEntityType: Record<string, any>[], config: CustomConfig): ClassGenerator[];
/**
 * Preso in imput l'array generico EnumType, crea e restituisce il corrispondente enumListGenerator
 * @param arEnumType
 * @returns
 */
export declare function createTsEnumGeneratorFromArEnumType(arEnumType: Record<string, any>[], config: CustomConfig): EnumListGenerator;
