import { CustomConfig } from './interfaces/custom-config-interface.js';
import { INDE_TYPES, SQL_TYPES } from './various.js';
export declare class SqlGenerator {
    private arProperties;
    private suppliedName;
    private params;
    private dbName;
    /**
     * Restituisce il nome fornito TUTTO MAIUSCOLO
     */
    get dbTableName(): string;
    get fileName(): string;
    constructor(name: string, config: CustomConfig, dbName?: string);
    /**
     * Aggiunge un campo alla tabella
     * @param name
     * @param type
     * @param required
     * @returns
     */
    addProperty(name: string, type: SQL_TYPES, required?: boolean, isPrimary?: boolean): SqlGenerator;
    /**
     * Aggiunge un campo chiave primaria alla tabella
     * @param name
     * @param type
     * @param required
     * @returns
     */
    addPrimaryKey(name: string, type: SQL_TYPES): SqlGenerator;
    /**
     * Restituisce la stringa completa del file sql
     * @returns
     */
    getFileContentString(): string;
    generateRowId(): boolean;
    existPrimaryKeys(): boolean;
    private getPropertiesString;
    getPrimaryKeysString(): string;
    /**
    * Salva la classe nel percorso specificato
    * @param path
    * @returns
    */
    saveOnFileSystem(path: string): Promise<void>;
    /**
     * converte il tipo proveniente da inde in tipo sql (se il tipo non è standard, verrà ricercato all'interno del array enumTypes passato)
     * @param indeType tipo proveniente da inde
     * @returns
     */
    static converToSqlType(indeType: INDE_TYPES | string, enumTypes?: Record<string, any>[]): SQL_TYPES;
    private static isNumeric;
}
