export var ERROR_CODES;
(function (ERROR_CODES) {
    ERROR_CODES[ERROR_CODES["ERR_GENERIC"] = 1] = "ERR_GENERIC";
    ERROR_CODES[ERROR_CODES["ERR_SAVING_MODEL_FILE"] = 40] = "ERR_SAVING_MODEL_FILE";
    ERROR_CODES[ERROR_CODES["ERR_SAVING_ENUM_FILE"] = 41] = "ERR_SAVING_ENUM_FILE";
    ERROR_CODES[ERROR_CODES["ERR_READING_METADATA_FILE"] = 10] = "ERR_READING_METADATA_FILE";
    ERROR_CODES[ERROR_CODES["ERR_FETCHING_METADATA_URL"] = 20] = "ERR_FETCHING_METADATA_URL";
    ERROR_CODES[ERROR_CODES["ERR_PROCESSING_XML"] = 30] = "ERR_PROCESSING_XML";
    ERROR_CODES[ERROR_CODES["ERR_PARAMETERS"] = 50] = "ERR_PARAMETERS";
})(ERROR_CODES || (ERROR_CODES = {}));
export const INDE_TS_TYPES_MAP = {
    string: ["Edm.String", "Edm.Guid", "Edm.Binary"],
    number: ["Edm.Decimal", "Edm.Int16", "Edm.Int32", "Edm.Int64", "Edm.Double"],
    boolean: ["Edm.Boolean"],
    Date: ["Edm.Date", "Edm.DateTimeOffset", "Edm.TimeOfDay"]
};
export const INDE_SQL_TYPES_MAP = {
    TEXT: ["Edm.String", "Edm.Guid", "Edm.TimeOfDay", "Edm.Binary"],
    REAL: ["Edm.Decimal", "Edm.Double"],
    INTEGER: ["Edm.Boolean", "Edm.Int16", "Edm.Int32", "Edm.Int64"],
    BLOB: [],
    NUMERIC: ["Edm.Date", "Edm.DateTimeOffset"],
    UNKNOWN: []
};
export class CustomError extends Error {
    constructor(error, code = ERROR_CODES.ERR_GENERIC) {
        if (error instanceof Error) {
            super(error.message);
            this.stack = error.stack;
            this.name = error.name;
            this.errorCode = code;
        }
        else {
            super(error);
        }
        this.errorCode = code;
    }
}
//# sourceMappingURL=various.js.map